using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
    public class Mod : MonoBehaviour
    {
        public static void Main()
        {
        CategoryBuilder.Create("Gold Items+", "Golden Versions Of items.",ModAPI.LoadSprite("category.png"));

            //De
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Desert Eagle"),
                    NameOverride = "Golden Desert Eagle",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Golden Deagle",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("DEGoldenThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
  
                        Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("DEGoldenVariant.png"),
                                 };
                                    int toggle = 0;
                             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DEGoldenVariant.png");
                        Instance.AddComponent<UseEventTrigger>().Action = () => { 
                        //Changes the sprite when active
                        if(toggle == 0){
                            toggle = 1;
                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FuckYou.png", 100F);
                        }else{
                            toggle = 0;
                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("DEGoldenVariant.png");
                        }

                        };
                    }
                }
            );

            //lon 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Ion Thruster"),
                    NameOverride = "Golden Ion Thruster",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Lon",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("IonThrusterThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("IonThruster.png");

                    }
                }
            );

            //Glock
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Glock 17"),
                    NameOverride = "Golden Glock 17",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Golden Glock 17",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Glock17Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                          ModAPI.KeepExtraObjects();

                        var GlockSlide = Instance.transform.Find("Slide");
                        GlockSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GlockSlide.png");

                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glock17.png");

                    }
                }
            );

            //Pistol
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Pistol"),
                    NameOverride = "Golden Pistol",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Golden Pistol",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("PistolThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                          ModAPI.KeepExtraObjects();

                        var GlockSlide = Instance.transform.Find("Slide");
                        GlockSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PistolSlide.png");

                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pistol #12328.png");

                    }
                }
            );

            //Flint
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sword"),
                    NameOverride = "Golden Sword",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Golden Sword",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("newSwordThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("newSword.png");

                    }
                }
            );

            //Ha
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Hammer"),
                    NameOverride = "Golden Large Hammer",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Large Hammer",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("LargeHammerThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LargeHammer.png");

						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Disco");

                    }
                }
            );

            //Light
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Light Machine Gun"),
                    NameOverride = "Golden Light Machine Gun",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold m249saw",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("m249sawThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m249saw.png");

                    }
                }
            );

            //Metal
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
                    NameOverride = "Golden Metal Pole",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Metal Pole",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("MetalPoleThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("MetalPole.png");

                    }
                }
            );

            //D
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Disassembler"),
                    NameOverride = "Golden Disassembler",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold GSW40",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("GSW40 #12503 Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("GSW40 #12503.png");

                    }
                }
            );

            //Engine
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Golden Engine",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Engine",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("EngineThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Engine.png");
                        Instance.FixColliders();

                    }
                }
            );

            //gAS
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Golden Gas Tank",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Gas",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("GastankThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Gastank.png");
                        Instance.FixColliders();

                    }
                }
            );

            //Base
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Baseball Bat"),
                    NameOverride = "Golden Baseball Bat",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Baseball Bat",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Baseball Bat Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Baseball Bat.png");

						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Metal");

                    }
                }
            );

            //bl
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Blaster"),
                    NameOverride = "Golden Blaster",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Blaster",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("LaserThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Laser.png");

                    }
                }
            );

            //Fan
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Fan"),
                    NameOverride = "Golden Fan",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Fan",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Fan Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fan #2636.png");
                        Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FanBlades.png");
                        Instance.transform.GetChild(1).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FanBlades.png");
                    }
                }
            );

            //Chain
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Chainsaw"),
                    NameOverride = "Golden Chainsaw",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Chainsaw",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("chainsaw Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("chainsaw base.png");

                    }
                }
            );

            //Knife
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Knife"),
                    NameOverride = "Gold Knife",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Knife",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("KnifeThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Knife.png");

                    }
                }
            );

            //Tank
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Wheel"),
                    NameOverride = "Golden Tank Wheel",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Tank Wheel",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("tankWheelThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
						Instance.AddComponent<CircleCollider2D>();

                    }
                }
            );

            //Wheel
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Wheel"),
                    NameOverride = "Golden Wheel",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Wheel",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("WheelThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Wheel.png");

						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Rubber");
						Instance.AddComponent<CircleCollider2D>();

                    }
                }
            );

            //Golden Helmet
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Helmet",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Helm",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("HelmThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Helm.png");

                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 12;
                                                Instance.FixColliders();
                    }
                }
            );

            //Golden Human
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Golden Human",
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Gold Human, Ye",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("GoldHumanThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GoldHuman.png");
                        var flesh = ModAPI.LoadTexture("FleshBody.png");
                        var bone = ModAPI.LoadTexture("Skeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			var person = Instance.GetComponent<PersonBehaviour>();

                        foreach (var body in person.Limbs)
                        {
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                        }
			person.SetBodyTextures(skin, flesh, bone, 1); 
			person.SetBruiseColor(255, 178, 63); 
			person.SetSecondBruiseColor(255, 178, 63); 
			person.SetThirdBruiseColor(255, 178, 63);
                    }
                }
            );

            //Backpack
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Backpack",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Backpack",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("BackpackThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Backpack.png");

						var childObject = new GameObject("glow");
                                                var childSprite = childObject.AddComponent<SpriteRenderer>();
						childObject.transform.SetParent(Instance.transform);
                                                childObject.transform.localPosition = new Vector3(0, 0f);
                                                childSprite.sprite = ModAPI.LoadSprite("BackpackLights.png");
                                                childSprite.sharedMaterial = ModAPI.FindMaterial("VeryBright");
                                                Instance.FixColliders();

                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 12;
                    }
                }
            );

            //Revolver
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Revolver"),
                    NameOverride = "Golden Revolver",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Revolvo",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("RevolverThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Revolver.png");

                    }
                }
            );

            //PPSH
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("PPSH"),
                    NameOverride = "Golden PPSH",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold PPSH",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("PPSHThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("PPSH.png");

                    }
                }
            );

            //gENERATOR
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Generator"),
                    NameOverride = "Golden Generator",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Generator",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("NewGeneratorThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NewGenerator.png");

                    }
                }
            );

            //Rocket 
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rocket Launcher"),
                    NameOverride = "Golden Rocket Launcher",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Rocket",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("RocketLauncherThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("RocketLauncher.png");

                    }
                }
            );

            //Upper Armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Armor (Upper Part)",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Armor",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ArmorUpperThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ArmorUpper.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 12f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );

            //Middle Armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Armor (Middle Part)",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Armor",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ArmorMiddleThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ArmorMiddle.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 12f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );

            //Lower Armor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Armor (Lower Part)",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Armor",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ArmorLowerThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ArmorLower.png");
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 12f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 12;

                        Instance.FixColliders();
                    }
                }
            );

            //he
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Hellclown",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Hell",
                    CategoryOverride = ModAPI.FindCategory("."),
                    ThumbnailOverride = ModAPI.LoadSprite("Hellclown.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hellclown.png");

						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Rubber");
						
						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 50000f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 50000f;
                        Instance.FixColliders();

                    }
                }
            );

            //Shot
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                    NameOverride = "Golden Shotgun",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Gun",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ShotgunThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Shotgun.png");

                    }
                }
            );

            //Lance
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Lance"),
                    NameOverride = "Golden Lance",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold lance",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("LanceThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Lance.png", 1.3f);

                    }
                }
            );

            //Physics
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Physics Gun"),
                    NameOverride = "Golden Physics Gun",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Physics",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Physics Gun Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Physics Gun.png");

                    }
                }
            );

            //Sniper
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Sniper Rifle"),
                    NameOverride = "Golden Sniper Rifle",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Sniper Rifle Smaller",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Sniper Rifle Smaller Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sniper Rifle Smaller.png");

                    }
                }
            );

            //Submachine
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
                    NameOverride = "Golden Submachine gun",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Submachine gun",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Submachine gun Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Submachine gun.png");

                    }
                }
            );

            //Chair
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Chair",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Chair",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ChairThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Chair.png");
						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Metal");
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 1f;

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        var Collision1 = Instance.AddComponent<BoxCollider2D>();
                        Collision1.size = new Vector2(0.0857144f, 0.885714f);
                        Collision1.offset = new Vector2(-0.2714285f, 0.2714287f);
                        var Collision2 = Instance.AddComponent<BoxCollider2D>();
                        Collision2.size = new Vector2(0.5428571f, 0.08571404f);
                        Collision2.offset = new Vector2(0.04285723f, -0.1285712f);
                        var Collision3 = Instance.AddComponent<BoxCollider2D>();
                        Collision3.size = new Vector2(0.05714273f, 0.5428575f);
                        Collision3.offset = new Vector2(-0.2285712f, -0.442857f);
                        var Collision4 = Instance.AddComponent<BoxCollider2D>();
                        Collision4.size = new Vector2(0.05714273f, 0.5428575f);
                        Collision4.offset = new Vector2(0.2285712f, -0.442857f);

                    }
                }
            );

            //Spear
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spear"),
                    NameOverride = "Golden Spear",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Spear",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("SpearThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Spear.png");

                    }
                }
            );

            //1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("1000kg Weight"),
                    NameOverride = "Golden 1 Ton Weight",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold safas",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("OneTonThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("OneTonNoText.png");
                            Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("OneTonNoText.png"),
                                    ModAPI.LoadSprite("OneTonWeightRusty.png"),
                                 };

                    }
                }
            );

            //Vect
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Vector"),
                    NameOverride = "Golden Vector",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Vector",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("VectorThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Vector #12518.png");

                    }
                }
            );

            //rod
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Rod",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Rod",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("RodThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rod.png");

                    }
                }
            );

            //Cube
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Golden Cube",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Cube",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("metal cube thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("metal cube.png");

                    }
                }
            );

            //Thru
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Thruster"),
                    NameOverride = "Golden Thruster",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Thruster",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ThrusterThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Thruster.png");

                    }
                }
            );

            //Grnd
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Grenade Launcher"),
                    NameOverride = "Golden Grenade Launcher",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Grnd. Launcher",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Grenade Launcher Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Grenade Launcher #12640.png");

                    }
                }
            );

            //M1
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                    NameOverride = "Golden M1 Garand",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold M1",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("M1GarandThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M1Garand.png");

                    }
                }
            );

            //Javelin Missile
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("General Purpose Bomb"),
                    NameOverride = "Golden Javelin Missile",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Javelin Missile",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Javelin Missile Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Javelin Missile.png");
                            Instance.FixColliders();

                    }
                }
            );

            //Rocket Missile
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Dynamite"),
                    NameOverride = "Golden Rocket Missile",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Rocket Missile",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("RocketThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Rocket.png");
						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Metal");
                            Instance.FixColliders();

                    }
                }
            );

            //Spike
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Spike"),
                    NameOverride = "Golden Spike",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Spike",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("SpikeThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Spike.png");

                    }
                }
            );

            //ion cannon
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Ion Cannon"),
                    NameOverride = "Golden Ion  Cannon",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Ion Cannon",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("ion cannon thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ion cannon.png");

                    }
                }
            );

            //ion cannon
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Landmine"),
                    NameOverride = "Golden Landmine",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Landmine",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("landmineThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("landmine #12410.png");

                    }
                }
            );

            //Engine
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Golden Motor Engine",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Motor Engine",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("motorthumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("motor.png");
                        Instance.FixColliders();

                    }
                }
            );

            //Table
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden Table",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Table",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("TableThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {

                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Table.png");
						var phys = Instance.GetComponent<PhysicalBehaviour>();
                        phys.Properties = ModAPI.FindPhysicalProperties("Metal");

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 2f;
                        Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 2f;

                        foreach (var c in Instance.GetComponents<Collider2D>())
                        {
                            GameObject.Destroy(c);
                        }
                        var Collision1 = Instance.AddComponent<BoxCollider2D>();
                        Collision1.size = new Vector2(2.057143f, 0.08571416f);
                        Collision1.offset = new Vector2(0f, 0.4285715f);
                        var Collision2 = Instance.AddComponent<BoxCollider2D>();
                        Collision2.size = new Vector2(0.05714262f, 0.857143f);
                        Collision2.offset = new Vector2(-0.9142851f, -0.04285708f);
                        var Collision3 = Instance.AddComponent<BoxCollider2D>();
                        Collision3.size = new Vector2(0.05714262f, 0.857143f);
                        Collision3.offset = new Vector2(0.9142851f, -0.04285708f);
                    }
                }
            );

            //pil
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
                    NameOverride = "Golden Pillar",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Pillar",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("PillarThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pillar.png");

						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 350f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 350f;

                            Instance.FixColliders();
                                    int toggle = 0;
                             Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pillar.png");
                        Instance.AddComponent<UseEventTrigger>().Action = () => { 
                        //Changes the sprite when active
                        if(toggle == 0){
                            toggle = 1;
                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FuckYou2.png", 100F);
                        }else{
                            toggle = 0;
                                                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Pillar.png");
                        }

                        };

                    }
                }
            );

            //GGenerator
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Industrial Generator"),
                    NameOverride = "Golden Industrial Generator",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Industrial Generator",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Industrial Generator Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Industrial Generator.png");

                    }
                }
            );

            //Fire
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Fire Extinguisher"),
                    NameOverride = "Golden Fire Extinguisher",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Fire Extinguisher",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("Fire extinguisher Thumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Fire extinguisher.png");

                    }
                }
            );

            //Flask
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flask"),
                    NameOverride = "Golden Flask",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Flask",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("flashThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("flask.png");

                    }
                }
            );

            //CeilingTurret
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Ceiling Turret"),
                    NameOverride = "Golden Ceiling Turret",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Fan",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("CeilingTurretThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CeilingTurretBase.png");
                        Instance.transform.GetChild(0).GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("CeilingTurretBarrel.png");
                    }
                }
            );

            //Flint
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Flintlock Pistol"),
                    NameOverride = "Golden Flintlock Pistol",
                    DescriptionOverride = "GOld",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("FlintlockPistolThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.name = "Musket";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FlintlockPistol.png");

                          ModAPI.KeepExtraObjects();

                        var Hammer = Instance.transform.Find("Hammer");
                        Hammer.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FlintlockHammer.png");
                    }
                }
            );

            //Floor
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
                    NameOverride = "Golden Floor",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Floor",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("FloorThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Floor.png");

						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 150f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 150f;

                            Instance.FixColliders();

                    }
                }
            );
            //CAR
            ModAPI.Register(
                new Modification()
                {
		OriginalItem = ModAPI.FindSpawnable("Car"),
		NameOverride = "Golden Carro",
		NameToOrderByOverride = "!",
		DescriptionOverride = "GOLD CARRO!1!1!1!1111!!!!!!11!!",
		CategoryOverride = ModAPI.FindCategory("Gold Items+"),
		ThumbnailOverride = ModAPI.LoadSprite("CarThumb.png"),
		AfterSpawn = (Instance) =>
		{
		        Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
			Instance.transform.Find("Body").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Body #12186.png"),
                                };
			Instance.transform.Find("Bonnet").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Bonnet.png"),
                                };
			Instance.transform.Find("Boot").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("Boot #12194.png"),
                                };
			Instance.transform.Find("FrontDoor").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("FrontDoor.png"),
                                };
			Instance.transform.Find("BackDoor").gameObject.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                {
                                    ModAPI.LoadSprite("BackDoor #12685.png"),
                                };
                        Instance.transform.Find("Body").Find("CarBodyBackground").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Backgrond.png");
		       }
		  }
	     );

            //Flag
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
                    NameOverride = "Golden Army Flag | 4 Var.",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Flags",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("FlagThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Flag1.png");
                            Instance.AddComponent<RandomSpriteBehaviour>().sprites = new Sprite[]
                                 {
                                    ModAPI.LoadSprite("Flag1.png"),
                                    ModAPI.LoadSprite("Flag2.png"),
                                    ModAPI.LoadSprite("Flag3.png"),
                                    ModAPI.LoadSprite("Flag4.png"),
                                 };

						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;

                            Instance.FixColliders();

                    }
                }
            );

            //Statue
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Pole"),
                    NameOverride = "Golden Statue",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Statue",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("StatueThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Statue.png");

						Instance.GetComponent<PhysicalBehaviour>().InitialMass = 65f;
						Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 65f;

                            Instance.FixColliders();

                    }
                }
            );

            //Golden Sunglasses
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Golden SunGlasses",
                    NameToOrderByOverride = "ps",
                    DescriptionOverride = "Gold Glasses",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("GlassesThumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Top";
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Glasses.png");

                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();
                        armor.threepieces = false;

                        armor.stabResistance = 12f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 12;
                                                Instance.FixColliders();
                    }
                }
            );
            //Tonk
	    ModAPI.Register(
	        new Modification()
		{
		     OriginalItem = ModAPI.FindSpawnable("Tank"),
		     NameOverride = "Goldern Tank",
		     NameToOrderByOverride = "The Tiger I",
		     DescriptionOverride = "No Tonk, Fuck The Tonk",
		     CategoryOverride = ModAPI.FindCategory("Gold Items+"),
		     ThumbnailOverride = ModAPI.LoadSprite("TankThumb.png"),
		     AfterSpawn = (Instance) =>
		     {
				Destroy(Instance.GetComponentInChildren<RandomCarTextureBehaviour>());
				Instance.transform.Find("Body").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankBody.png");
				Instance.transform.Find("Barrel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankBarrel.png");
				Instance.transform.Find("Wheel").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (1)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (2)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (3)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (4)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (5)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (6)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (7)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");
				Instance.transform.Find("Wheel (8)").gameObject.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("tankWheel.png");	
		     }
		}
	   );

            //Golden Android
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Golden Andro",
                    NameToOrderByOverride = "1",
                    DescriptionOverride = "Gold Andro, Ye",
                    CategoryOverride = ModAPI.FindCategory("Gold Items+"),
                    ThumbnailOverride = ModAPI.LoadSprite("AndroThumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("Andro.png");
                        var flesh = ModAPI.LoadTexture("AndroFlesh.png");
                        var bone = ModAPI.LoadTexture("AndroSkeleton.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin);

			var person = Instance.GetComponent<PersonBehaviour>();

                        foreach (var body in person.Limbs)
                        {
                            body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                        }
                    }
                }
            );
        }
    }
}